- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_sync_counter_notify_event_t Struct Reference
[XCB Sync API]

xcb_sync_counter_notify_event_t More...

`#include <sync.h>`

Collaboration diagram for xcb_sync_counter_notify_event_t:

[legend]

## Data Fields
uint8_t | response_type
uint8_t | kind
uint16_t | sequence
xcb_sync_counter_t | counter
xcb_sync_int64_t | wait_value
xcb_sync_int64_t | counter_value
xcb_timestamp_t | timestamp
uint16_t | count
uint8_t | destroyed

## Detailed Description

xcb_sync_counter_notify_event_t

## Field Documentation

uint8_t xcb_sync_counter_notify_event_t::response_type

uint8_t xcb_sync_counter_notify_event_t::kind

uint16_t xcb_sync_counter_notify_event_t::sequence

xcb_sync_counter_t xcb_sync_counter_notify_event_t::counter

xcb_sync_int64_t xcb_sync_counter_notify_event_t::wait_value

xcb_sync_int64_t xcb_sync_counter_notify_event_t::counter_value

xcb_timestamp_t xcb_sync_counter_notify_event_t::timestamp

uint16_t xcb_sync_counter_notify_event_t::count

uint8_t xcb_sync_counter_notify_event_t::destroyed

The documentation for this struct was generated from the following file:

- sync.h